#ifndef CLIGHTDRIVER_GR_H
#define CLIGHTDRIVER_GR_H
#include "clightdriver.h"

class CMSerialPort;
class CLightDriver_GR : public CLightDriver
{
public:
    enum msg_id
    {
        LIGHTDRIVER_WL_MSG_ID=MAX_LIGHTDRIVER_MSG_ID,
        MAX_LIGHTDRIVER_WL_MSG_ID,
    };
	CLightDriver_GR(const QString& name,int32_t id);
	virtual ~CLightDriver_GR();
    virtual int32_t setlight(int32_t iChid, int32_t ibright);
    int32_t init_driver();
    int32_t exit_driver();
    void SendCommand(const char* pCommand,char* pResponse);
    void MakeCommand(char* pCommand, byte byComm,byte byCh,byte byData);
    void checkResponse(int32_t iChid,char* pResponse);
};

#endif // CLIGHTDRIVER_GR_H
